Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer.POAPackage
Class WrongAdapterHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.POAPackage.WrongAdapterHelper

public class WrongAdapterHelper
extends java.lang.Object

Helper class for : WrongAdapter

Author:
  OpenORB Compiler

Constructor Summary
`WrongAdapterHelper()`

Method Summary
`static WrongAdapter` | `extract(Any a)` Extract WrongAdapter from an any
`static java.lang.String` | `id()` Return the WrongAdapter IDL ID
`static void` | `insert(Any a, WrongAdapter t)` Insert WrongAdapter into an any
`static WrongAdapter` | `read(InputStream istream)` Read WrongAdapter from a marshalled stream
`static TypeCode` | `type()` Return the WrongAdapter TypeCode
`static void` | `write(OutputStream ostream, WrongAdapter value)` Write WrongAdapter into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WrongAdapterHelper

    public WrongAdapterHelper()

Method Detail

### insert

    public static void insert(Any a,
                              WrongAdapter t)

  Insert WrongAdapter into an any
  Parameters:
    `a` - an any
    `t` - WrongAdapter value

### extract

    public static WrongAdapter extract(Any a)

  Extract WrongAdapter from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted WrongAdapter value

### type

    public static TypeCode type()

  Return the WrongAdapter TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the WrongAdapter IDL ID
  Returns:
    an ID

### read

    public static WrongAdapter read(InputStream istream)

  Read WrongAdapter from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed WrongAdapter value

### write

    public static void write(OutputStream ostream,
                             WrongAdapter value)

  Write WrongAdapter into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - WrongAdapter value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD